Analytics Annotations
Alle Operationen rund um Analytics Annotations.
Datenmodell
Die Endpoints dieses Moduls arbeiten auf folgender Entität. Die Schema-Referenz listet jedes Feld mit Typ, Validierung und Beziehungen:
| Entität | Schema-ID | Felder | Sequenz | Permissions |
|---|---|---|---|---|
| Analytics Annotation | analytics_annotation |
8 | — | analytics_annotation_* |
Endpoints
| Methode | Pfad | Operation | Beschreibung |
|---|---|---|---|
POST |
/v1/analytics_annotations |
Create analytics_annotation | Create a new analytics_annotation in the active tenant. |
DELETE |
/v1/analytics_annotations/{id} |
Delete analytics_annotation | Soft delete entity. |
GET |
/v1/analytics_annotations/{id} |
Get analytics_annotation by id | Fetch a single analytics_annotation. |
GET |
/v1/analytics_annotations/{id}/linked |
Get linked entities | CodeMeta OS API endpoint. |
GET |
/v1/analytics_annotations/{id}/timeline |
Get timeline | CodeMeta OS API endpoint. |
GET |
/v1/analytics_annotations/{id}/transitions |
List transitions | CodeMeta OS API endpoint. |
GET |
/v1/analytics_annotations |
List analytics_annotations | List analytics_annotations for the active tenant. |
PATCH |
/v1/analytics_annotations/{id} |
Patch analytics_annotation | JSON Merge Patch update. |
POST |
/v1/analytics_annotations/bulk |
Bulk operation | CodeMeta OS API endpoint. |
POST |
/v1/analytics_annotations/{id}/transition |
POST /v1/analytics_annotations/{id}/transition | CodeMeta OS API endpoint. |
POST |
/v1/analytics_annotations/{id}/transitions/{transitionKey} |
Execute transition | CodeMeta OS API endpoint. |
PUT |
/v1/analytics_annotations/{id} |
Replace analytics_annotation | Full replace with optimistic locking. |